Bug 1315255 - hammer template dump does not request password when output redirected to a file
Summary: hammer template dump does not request password when output redirected to a file
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.1.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: 1317008
TreeView+ depends on / blocked
 
Reported: 2016-03-07 11:38 UTC by Stuart Auchterlonie
Modified: 2018-09-04 17:57 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-04 17:57:25 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14832 None None None 2016-04-26 17:56 UTC

Description Stuart Auchterlonie 2016-03-07 11:38:47 UTC
Description of problem:

Using hammer to dump templates out, it will not prompt
for the password when redirecting the output to a file,
resulting in an error.

Passing the --password option to hammer does work but
is not acceptable as this leaves the password in clear
text in the users history.

Version-Release number of selected component (if applicable):

6.1.7

How reproducible:

100%

Steps to Reproduce:
1. # hammer --username admin template dump --name epel > snippet-epel.erb
2.
3.

Actual results:

# hammer --username admin template dump --name epel > snippet-epel.erb
Invalid username or password


Expected results:

As per when hammer is run without redirecting to a file

# hammer --username admin template dump --name epel
[Foreman] Password for admin: 


Additional info:

Customer has suggested that dump should have a switch to send
the output to a file, in the same way as the create has a switch 
to import from a file.

Comment 5 Bryan Kearney 2016-04-26 17:56:12 UTC
Created redmine issue http://projects.theforeman.org/issues/14832 from this bug

Comment 12 Bryan Kearney 2018-09-04 17:57:25 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.